 
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    /*font-family: Arial, Helvetica, sans-serif;*/
    width: 100vw;
    overflow-x: hidden;
    font-family: Arial, Helvetica, sans-serif;

}

header {
    height: 50px;
    width: 100vw;
    background-size: cover;
   margin-top: auto;

  
}

.navbar {
    /*background-color: #cbb1ab;*/
    background-color:black;
    position: relative; /* Relative position for the sticky effect */
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 70px;
    font-size: 17px;
    z-index: 2;
}

    .navbar.sticky {
        position: fixed;
        top: 0;
        width: 100%;
    }

    .navbar a {
        color: white;
        text-decoration:none;
    }

    .navbar img {
    font-size: 1em;
    width: 150px;
    height: 80px;
     padding-top: 10px;
    margin-left: 28%;
    margin-top: 5%;
    }

    .navbar .nav-links ul {
        display: flex;
    }

        .navbar .nav-links ul li {
            margin: 0 25px;
            transition: color 0.3s ease;
        }

            .navbar .nav-links ul li.active a {
                color: #dfb16d;
                font-weight: 600;
            }
nav ul li a:hover {
    color: gray;
    text-decoration: none;
}

    .navbar .menu-hamburger {
        display: none;
        position: absolute;
        right: 30px;
        width: 35px;
    }

.Grand_titre{
    text-align: center;
    font-size: 70px;
    letter-spacing: -2px;
    
}
.Petit_titre{
    text-align: center;
    font-size: 50px;
    letter-spacing: -2px;
    
}


/* DEBUT Carousel Container */
.carousel {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

    /* Carousel Images */
    .carousel .slide img {
        width: 100%;
        height: 100vh;
        object-fit: cover;
        display: block;
    }

    /* Slides */
    .carousel .slide {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        transition: opacity 1s ease;
    }

        /* Active Slide */
        .carousel .slide.active {
            opacity: 1;
        }
.text h1 {
    font-size: 70px
}

    /* Text Overlay */
    .carousel .text {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: white;
        font-size: 2rem;
        text-align: center;
        background-color: rgba(0, 0, 0, 0.4);
        padding: 20px;
        border-radius: 10px;
        opacity: 0;
        animation: fadeIn 1.5s ease forwards;
    }

    /* Keyframe for Text Animation */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* Navigation Arrows */
.carousel .prev, .carousel .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: white;
    font-size: 1rem;
    padding: 10px;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    outline: none;
}

.carousel .prev {
    left: 10px;
}

.carousel .next {
    right: 10px;
}
/* FIN Carousel Container */

/*DEBUT Gallerie d'images en bas*/
.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px; /* Espace entre les images */
    max-width: 1100px; /* Largeur maximale de la galerie */
    margin: 0 auto; /* Centre la galerie */
    padding: 0 20px; /* Espace � gauche et � droite */
}
.gallery-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    height: 450px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease, filter 0.3s ease;
}
.gallery-item:hover img {
    transform: scale(1.1);
    filter: brightness(95%);
}
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    color: #ffffff;
    font-size: 1.2em;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    padding: 10px;
}
.gallery-item:hover .overlay {
    opacity: 1;
}
/*FIN Gallerie d'images en bas*/

/*DEBUT les paragraphes et leurs titres + le conteneur*/
.Les_conteneurs{
    width: 100vw;
    margin-left: 20%; 
}
.style_conteneur{
    width: 60%;
    height: 10%;
    display: flex;
    align-items: center;
    padding: 10px;
    margin-bottom: 20px;
      
}
.titre_paragraphe{
    text-align: center;
     font-size: 24px;
    letter-spacing: -2px;
    margin-right: 20px;
    color: #dfb16d;
    width: 180px ;
}
.paragraphe{
    margin:   2%;
    text-align: justify;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    color:#404040;
    border-left: 5px solid #dfb16d;
    box-shadow: -3px 0 5px rgba(0, 0, 0, 0.2);
    padding : 15px;
    line-height: 1.5;
   

}
/*FIN les paragraphes et leurs titres*/


/* DEBUT RESPONSVE 1*/
@media screen and (max-width: 901px) {
    .navbar {
        padding: 0;
    }
    .navbar a {
       
        font-size: 20px;
    }

        .navbar .logo {
            position: absolute;
            top: 45px;
       

        }   

        .navbar .menu-hamburger {
            display: block;
            width: 50px;
            margin-top: auto;
        }

    .nav-links {
        position: absolute;
        top: 0;
        left: 0;
        background-color: rgba(2, 1, 1, 0.637);
        backdrop-filter: blur(8px);
         width: 100%;
        height: 100vh;
        display: flex;
       
        justify-content: center;
        align-items: center;
        margin-left: -100%;
        transition: all 0.5s ease
    }

        .nav-links.mobile-menu {
            margin-left: 0;
        }

        .nav-links ul {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

    .navbar .nav-links ul li {
        margin: 25px 0;
        font-size: 1.2em;
    }
    


    .style_conteneur{
        display: block;
    }
    .titre_paragraphe{
        text-align: left;
}
.paragraphe{
    hyphens: auto;
}
}
/* FIN RESPONSVE 1*/

/* DEBUT RESPONSVE 2*/
/* Media queries pour rendre la galerie responsive */
@media (max-width: 992px) {
    .gallery {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    .gallery {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .gallery {
        grid-template-columns: 1fr;
    }
}
/* FIN RESPONSVE 2*/



nav ul li a:hover {
    color: gray;
}


footer {
    margin-top:0px;
    border-top: 1px solid #787878;
    text-align: center;
    color: #fff;
    background-color: #000;
    padding: 20px;
}
/*mis en page de la ligne footer*/
.color{
    color: white;
    margin-top: 2%;
    font-size: 12px;
   
    
}



